Bug 1635216 - [abrt] python3-pykwalify: resolve(): __init__.py:781:resolve:pkg_resources.DistributionNotFound: The 'python-dateutil==2.4.2' distribution was not found and is required by pykwalify
Summary: [abrt] python3-pykwalify: resolve(): __init__.py:781:resolve:pkg_resources.Di...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pykwalify
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chandan Kumar
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:533ee612d1dfeb728bf0af9028a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-02 11:57 UTC by Timon
Modified: 2019-02-23 02:07 UTC (History)
2 users (show)

Fixed In Version: python-pykwalify-1.7.0-1.fc28 python-pykwalify-1.7.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-23 01:36:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (3.03 KB, text/plain)
2018-10-02 11:57 UTC, Timon
no flags Details
File: cgroup (433 bytes, text/plain)
2018-10-02 11:57 UTC, Timon
no flags Details
File: cpuinfo (1.52 KB, text/plain)
2018-10-02 11:57 UTC, Timon
no flags Details
File: environ (5.75 KB, text/plain)
2018-10-02 11:57 UTC, Timon
no flags Details
File: mountinfo (3.67 KB, text/plain)
2018-10-02 11:57 UTC, Timon
no flags Details
File: namespaces (129 bytes, text/plain)
2018-10-02 11:57 UTC, Timon
no flags Details
File: open_fds (244 bytes, text/plain)
2018-10-02 11:57 UTC, Timon
no flags Details

Description Timon 2018-10-02 11:57:21 UTC
Version-Release number of selected component:
python3-pykwalify-1.5.1-9.fc29

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/pykwalify -d data.yaml -s schema.yaml
crash_function: resolve
exception_type: pkg_resources.ContextualVersionConflict
executable:     /usr/bin/pykwalify
interpreter:    python3-3.7.0-9.fc29.x86_64
kernel:         4.18.10-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:781:resolve:pkg_resources.DistributionNotFound: The 'python-dateutil==2.4.2' distribution was not found and is required by pykwalify

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 578, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 895, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (python-dateutil 2.7.0 (/usr/lib/python3.7/site-packages), Requirement.parse('python-dateutil==2.4.2'), {'pykwalify'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pykwalify", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3112, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3096, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3125, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 580, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 593, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 781, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'python-dateutil==2.4.2' distribution was not found and is required by pykwalify

Local variables in innermost frame:
self: <pkg_resources.WorkingSet object at 0x7fc92c626da0>
requirements: [Requirement.parse('PyYAML==3.11'), Requirement.parse('docopt==0.6.2')]
env: <pkg_resources.Environment object at 0x7fc92c02a518>
installer: None
replace_conflicting: False
extras: None
processed: {Requirement.parse('pykwalify==1.5.1'): True}
best: {'pykwalify': pykwalify 1.5.1 (/usr/lib/python3.7/site-packages), 'python-dateutil': None}
to_activate: [pykwalify 1.5.1 (/usr/lib/python3.7/site-packages)]
req_extras: {Requirement.parse('python-dateutil==2.4.2'): (), Requirement.parse('PyYAML==3.11'): (), Requirement.parse('docopt==0.6.2'): ()}
required_by: defaultdict(<class 'set'>, {Requirement.parse('python-dateutil==2.4.2'): {'pykwalify'}, Requirement.parse('PyYAML==3.11'): {'pykwalify'}, Requirement.parse('docopt==0.6.2'): {'pykwalify'}})
req: Requirement.parse('python-dateutil==2.4.2')
dist: None
ws: <pkg_resources.WorkingSet object at 0x7fc92c626da0>
requirers: {'pykwalify'}
new_requirements: [Requirement.parse('python-dateutil==2.4.2'), Requirement.parse('PyYAML==3.11'), Requirement.parse('docopt==0.6.2')]
new_requirement: Requirement.parse('docopt==0.6.2')

Comment 1 Timon 2018-10-02 11:57:26 UTC
Created attachment 1489409 [details]
File: backtrace

Comment 2 Timon 2018-10-02 11:57:28 UTC
Created attachment 1489410 [details]
File: cgroup

Comment 3 Timon 2018-10-02 11:57:29 UTC
Created attachment 1489411 [details]
File: cpuinfo

Comment 4 Timon 2018-10-02 11:57:31 UTC
Created attachment 1489412 [details]
File: environ

Comment 5 Timon 2018-10-02 11:57:32 UTC
Created attachment 1489413 [details]
File: mountinfo

Comment 6 Timon 2018-10-02 11:57:34 UTC
Created attachment 1489414 [details]
File: namespaces

Comment 7 Timon 2018-10-02 11:57:35 UTC
Created attachment 1489415 [details]
File: open_fds

Comment 8 Fedora Update System 2019-02-14 14:07:31 UTC
python-pykwalify-1.7.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5fe6c5cd78

Comment 9 Fedora Update System 2019-02-14 14:07:37 UTC
python-pykwalify-1.7.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c6acd225b

Comment 10 Fedora Update System 2019-02-15 01:31:14 UTC
python-pykwalify-1.7.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5fe6c5cd78

Comment 11 Fedora Update System 2019-02-15 02:57:14 UTC
python-pykwalify-1.7.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c6acd225b

Comment 12 Fedora Update System 2019-02-23 01:36:13 UTC
python-pykwalify-1.7.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-02-23 02:07:10 UTC
python-pykwalify-1.7.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.